#pragma once

#include "ITheme.h"
#include "Color.h"

#include <unordered_map>

class LightTheme : public ITheme
{
public:
	Color getColor(ThemeToken::SystemToken token) const override;

private:
	static const std::unordered_map<ThemeToken::SystemToken, ColorPaletteToken> mPalette;
};