#include "Transform.h"

Transform::Transform(const Point& location, double scaleX, double scaleY, double scaleZ)
    : mLocation(location),
      mScaleX(scaleX),
      mScaleY(scaleY),
      mScaleZ(scaleZ)
{

}

const Point& Transform::getLocation() const
{
    return mLocation;
}

double Transform::getScaleX() const
{
    return mScaleX;
}

double Transform::getScaleY() const
{
    return mScaleY;
}

double Transform::getScaleZ() const
{
    return mScaleZ;
}

void Transform::setLocation(const Point& loc)
{
    mLocation = loc;
}

void Transform::setScale(double scaleX, double scaleY, double scaleZ)
{
    mScaleX = scaleX;
    mScaleY = scaleY;
    mScaleZ = scaleZ;

}