#pragma once

#include "GeometryNode.h"
#include "SceneInfo.h"

#include "Line.h"

#include <vector>

class LineNode : public GeometryNode
{
public:
    LineNode(const Point& location, const std::vector<Point>& points);

    Type getType();

private:
    void createOrUpdateGeometry(SceneInfo* sceneInfo) override;

    void updateTransform() override;

    std::vector<Point> mPoints;
};